Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(377)

Issue 2816253002: Display "Restart to update Adobe Flash Player" for Flash updates. (Closed)

Created:
3 years, 6 months ago by Greg K
Modified:
3 years, 6 months ago
CC:
chromium-reviews, sadrul, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org, abarth-chromium, Aaron Boodman, kalyank, darin (slow to review)
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Display "Restart to update Adobe Flash Player" for Flash updates. This CL displays the text "Restart to update Adobe Flash Player" in the system tray when a Flash player update is available. BUG=711822 Review-Url: https://codereview.chromium.org/2816253002 Cr-Commit-Position: refs/heads/master@{#465818} Committed: https://chromium.googlesource.com/chromium/src/+/ed2af8b429def7ee0de3d62efe1f07e7d61c1ed8

Patch Set 1 #

Patch Set 2 : Display "Restart to update Adobe Flash Player" for Flash updates. #

Patch Set 3 : Fix broken test #

Total comments: 4

Patch Set 4 : Add test for Flash player update #

Total comments: 6

Patch Set 5 : Do not point to deleted memory #

Total comments: 6

Patch Set 6 : Fix nits from last review #

Unified diffs Side-by-side diffs Delta from patch set Stats (+108 lines, -21 lines) Patch
M ash/ash_strings.grd View 1 chunk +4 lines, -0 lines 0 comments Download
M ash/public/interfaces/system_tray.mojom View 1 2 3 4 1 chunk +3 lines, -1 line 0 comments Download
M ash/public/interfaces/update.mojom View 1 2 3 1 chunk +6 lines, -0 lines 0 comments Download
M ash/system/tray/system_tray_controller.h View 1 chunk +2 lines, -1 line 0 comments Download
M ash/system/tray/system_tray_controller.cc View 1 chunk +4 lines, -2 lines 0 comments Download
M ash/system/update/tray_update.h View 1 2 3 4 4 chunks +15 lines, -1 line 0 comments Download
M ash/system/update/tray_update.cc View 1 2 3 4 5 3 chunks +36 lines, -12 lines 0 comments Download
M ash/system/update/tray_update_unittest.cc View 1 2 3 4 2 chunks +26 lines, -2 lines 0 comments Download
M chrome/browser/ui/ash/system_tray_client.cc View 1 2 3 4 5 2 chunks +12 lines, -2 lines 0 comments Download

Messages

Total messages: 42 (27 generated)
Greg K
On 2017/04/17 22:28:44, Greg K wrote: > mailto:kerrnel@chromium.org changed reviewers: > + mailto:jamescook@chromium.org James, PTAL. ...
3 years, 6 months ago (2017-04-17 22:29:16 UTC) #9
Greg K
3 years, 6 months ago (2017-04-17 22:29:54 UTC) #11
James Cook
Code looks good, suggestion for the test below. https://codereview.chromium.org/2816253002/diff/40001/ash/public/interfaces/update.mojom File ash/public/interfaces/update.mojom (right): https://codereview.chromium.org/2816253002/diff/40001/ash/public/interfaces/update.mojom#newcode21 ash/public/interfaces/update.mojom:21: NONE, ...
3 years, 6 months ago (2017-04-18 00:57:28 UTC) #14
Greg K
https://codereview.chromium.org/2816253002/diff/40001/ash/public/interfaces/update.mojom File ash/public/interfaces/update.mojom (right): https://codereview.chromium.org/2816253002/diff/40001/ash/public/interfaces/update.mojom#newcode21 ash/public/interfaces/update.mojom:21: NONE, On 2017/04/18 00:57:28, James Cook wrote: > Is ...
3 years, 6 months ago (2017-04-18 22:46:50 UTC) #19
James Cook
One suggestion for the test. You'll need a security reviewer for the mojom files. I ...
3 years, 6 months ago (2017-04-18 23:20:57 UTC) #20
Greg K
https://codereview.chromium.org/2816253002/diff/60001/ash/public/interfaces/system_tray.mojom File ash/public/interfaces/system_tray.mojom (right): https://codereview.chromium.org/2816253002/diff/60001/ash/public/interfaces/system_tray.mojom#newcode29 ash/public/interfaces/system_tray.mojom:29: ShowUpdateIcon(UpdateSeverity severity, bool factory_reset_required, UpdateType update_type); On 2017/04/18 23:20:56, ...
3 years, 6 months ago (2017-04-18 23:45:23 UTC) #22
Greg K
wfh, can you PTAL at the .mojom changes? tsepez@ is OOO. Thanks, Greg
3 years, 6 months ago (2017-04-18 23:47:04 UTC) #25
James Cook
LGTM. Nice patch. https://codereview.chromium.org/2816253002/diff/80001/ash/system/update/tray_update.cc File ash/system/update/tray_update.cc (right): https://codereview.chromium.org/2816253002/diff/80001/ash/system/update/tray_update.cc#newcode93 ash/system/update/tray_update.cc:93: views::Label* label = TrayPopupUtils::CreateDefaultLabel(); nit: just ...
3 years, 6 months ago (2017-04-19 00:27:28 UTC) #28
ilja
https://codereview.chromium.org/2816253002/diff/80001/chrome/browser/ui/ash/system_tray_client.cc File chrome/browser/ui/ash/system_tray_client.cc (right): https://codereview.chromium.org/2816253002/diff/80001/chrome/browser/ui/ash/system_tray_client.cc#newcode383 chrome/browser/ui/ash/system_tray_client.cc:383: DCHECK(detector->notify_upgrade() || flash_update_available_); I feel the logic here (and ...
3 years, 6 months ago (2017-04-19 07:50:33 UTC) #29
Greg K
https://codereview.chromium.org/2816253002/diff/80001/ash/system/update/tray_update.cc File ash/system/update/tray_update.cc (right): https://codereview.chromium.org/2816253002/diff/80001/ash/system/update/tray_update.cc#newcode93 ash/system/update/tray_update.cc:93: views::Label* label = TrayPopupUtils::CreateDefaultLabel(); On 2017/04/19 00:27:28, James Cook ...
3 years, 6 months ago (2017-04-19 21:42:10 UTC) #31
Will Harris
mojom rs lgtm
3 years, 6 months ago (2017-04-19 21:55:42 UTC) #33
James Cook
still lgtm
3 years, 6 months ago (2017-04-19 23:02:40 UTC) #36
Greg K
On 2017/04/19 23:02:40, James Cook wrote: > still lgtm Thanks I just finished testing the ...
3 years, 6 months ago (2017-04-20 00:00:56 UTC) #37
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2816253002/100001
3 years, 6 months ago (2017-04-20 00:08:42 UTC) #39
commit-bot: I haz the power
3 years, 6 months ago (2017-04-20 00:15:44 UTC) #42
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/ed2af8b429def7ee0de3d62efe1f...

Powered by Google App Engine
This is Rietveld 408576698